Search found 3 matches

by iq2luc
Mon Feb 03, 2020 4:07 pm
Forum: PicoScope 6 for Linux
Topic: Feedback wanted from our Linux users!
Replies: 18
Views: 12749

Re: Feedback wanted from our Linux users!

Hello, thank you so much for being interested and caring about the Linux users. Issue: PicoScope 6 becoming randomly non-responsive (it freezes every few minutes and the process has to be killed). Wish: PicoScope sofware - stability and feature parity with the Windows version. Regards, Luc --- Archl...
by iq2luc
Thu Feb 04, 2016 12:09 pm
Forum: PicoScope 6 for Linux
Topic: Latest mono version breaks picoscope
Replies: 6
Views: 5860

Re: Latest mono version breaks picoscope

Hi Julian, We need gtk-sharp for GTK2. Here are the links I used for getting the needed sources: gtk-sharp-2 --> https://github.com/mono/gtk-sharp/archive/2.12.29.tar.gz mono3 --> http://download.mono-project.com/sources/mono/mono-3.12.1.tar.bz2 If you're on Arch Linux, I can send you my PKGBUILDs o...
by iq2luc
Wed Feb 03, 2016 5:44 pm
Forum: PicoScope 6 for Linux
Topic: Latest mono version breaks picoscope
Replies: 6
Views: 5860

Re: Latest mono version breaks picoscope

Hi, I confirm building mono 3.12.1 and gtk-sharp 2.12.29 solves the issue and picoscope application works just fine. I'm on Arch Linux (where the default system-wide mono package is at version 4.2.2). There is no need to downgrade the system packages: just configure, build and install the above two ...